import moment from "moment";

export const helperSortListDateDesc = (list: any, value: any) => {
    return list.sort((a: any, b: any) => {
        let x = new Date(a?.[value]);
        let y = new Date(b?.[value]);
        if (x > y) return -1;
        if (x < y) return 1;
        return 0;
    });
}

export const helperSortListDateAsc = (list: any, value: any) => {
    return list.sort((a: any, b: any) => {
        let x = new Date(a?.[value]);
        let y = new Date(b?.[value]);
        if (x > y) return 1;
        if (x < y) return -1;
        return 0;
    });
}


export const helperDifferenceBetweenCurrentAndPastDateInHours = (pastDate: string) => {

    var entryHour = moment(pastDate);
    var exitHour = moment(new Date());

    let numHour = moment.duration(exitHour.diff(entryHour)).asHours();
    return numHour
}

export const helperSortListTextAsc = (list: any, value: string) => {
    return list.sort((a: any, b: any) => a?.[value].toLowerCase() > b?.[value].toLowerCase() ? 1 : -1);
}

export const helperValidateDate = (dat: string, replacement: string = "", format: string = "YYYY-MM-DD HH:mm:ss") => {
    if (moment(dat || "").isValid())
        return moment(dat).format(format)
    else
        return replacement
}

export const helperAddTagToText = (text: string, keyword: string = "", wordToAdd: string = "z ") => {
    try {
        if (text.toUpperCase().includes(keyword.toUpperCase())) {
            return `${wordToAdd}${text}`
        } else return text
    } catch (error) {
        return wordToAdd
    }

}

export const helperToast = (that: any, text: string = "", type: string = "info") => {
    that.$toast.add({
        severity: type,
        summary: text,
        life: 3000,
    });
}

export const helperExtractUsernameFromEmail = (email: string) => {
    if (email != "")
        return email.split("@")[0];
    return "NONE"

}